Bug 1078129 - On DB upgrade, readonly user and client custom users losses permissions to db views
Summary: On DB upgrade, readonly user and client custom users losses permissions to db...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-dwh
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.3.3
Assignee: Eli Mesika
QA Contact: Barak Dagan
URL:
Whiteboard: integration
Depends On: 1073471
Blocks: 1099132
TreeView+ depends on / blocked
 
Reported: 2014-03-19 08:35 UTC by rhev-integ
Modified: 2014-05-27 16:20 UTC (History)
15 users (show)

Fixed In Version: IS36 - rhevm-dwh-3.3.3-1.el6ev.noarch.rpm
Doc Type: Bug Fix
Doc Text:
Previously, the read-only user and custom users for the data warehouse database would lose access to views in the database when the database was upgraded. This was caused by the views being regenerated when the database was upgraded and the permissions for those views not being applied to the newly generated views. Now, user permissions are retained when the database is upgraded.
Clone Of: 1073471
Environment:
Last Closed: 2014-05-27 16:20:51 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0559 normal SHIPPED_LIVE Low: rhevm-dwh 3.3.3 security and bug fix update 2014-05-27 20:20:16 UTC
oVirt gerrit 25881 None None None Never
oVirt gerrit 25925 None None None Never

Comment 1 Yaniv Lavi 2014-03-23 04:35:47 UTC
The patch for DWH is in. This should be in MODIFIED. The patch on engine 3.3 should be in a separate patch. Eli, please clone bug for engine 3.4 and 3.3.





Yaniv

Comment 4 Barak Dagan 2014-05-12 11:32:14 UTC
Verified on is36.1, 3.3.3:

rhevm-3.3.3-0.51.el6ev.noarch
rhevm-dwh-3.3.3-1.el6ev.noarch
rhevm-reports-3.3.3-1.el6ev.noarch


bash-4.1$ psql -h localhost -d ovirt_engine_history -U readonly -W
Password for user readonly:
psql (8.4.20)
Type "help" for help.

ovirt_engine_history=>

Comment 6 errata-xmlrpc 2014-05-27 16:20:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0559.html


Note You need to log in before you can comment on or make changes to this bug.